/* ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : P.c
**     Project     : DEVKIT-S12ZVL_lab1
**     Processor   : MC9S12ZVL32MLF
**     Component   : Init_GPIO
**     Version     : Component 01.000, Driver 01.00, CPU db: 3.00.000
**     Compiler    : CodeWarrior HCS12Z C Compiler
**     Date/Time   : 2016-04-22, 15:16, # CodeGen: 1
**     Abstract    :
**          This file implements the GPIO (P) module initialization
**          according to the Peripheral Initialization settings, and
**          defines interrupt service routines prototypes.
**     Settings    :
**          Component name                                 : P
**          Device                                         : P
**          Pins                                           : 
**            Pin 0                                        : Disabled
**            Pin 1                                        : Enabled
**              Pin                                        : PP1_KWP1_PWM1_IOC1_1
**              Pin signal                                 : 
**              Output value                               : 1
**              Data direction                             : Output
**              Pull enable                                : No initialization
**              Polarity select                            : No initialization
**              Interrupt enable                           : No initialization
**              Wired-Or mode                              : No initialization
**            Pin 2                                        : Disabled
**            Pin 3                                        : Enabled
**              Pin                                        : PP3_IRQ_KWP3_PWM3
**              Pin signal                                 : 
**              Output value                               : 1
**              Data direction                             : Output
**              Pull enable                                : No initialization
**              Polarity select                            : No initialization
**              Interrupt enable                           : No initialization
**              Wired-Or mode                              : No initialization
**            Pin 4                                        : Enabled
**              Pin                                        : PP4_KWP4_PWM4
**              Pin signal                                 : 
**              Output value                               : No initialization
**              Data direction                             : Input
**              Pull enable                                : Enabled
**              Polarity select                            : Pulldown
**              Interrupt enable                           : No initialization
**              Wired-Or mode                              : No initialization
**            Pin 5                                        : Disabled
**            Pin 6                                        : Disabled
**            Pin 7                                        : Enabled
**              Pin                                        : PP7_KWP7_PWM7_IOC1_0
**              Pin signal                                 : 
**              Output value                               : No initialization
**              Data direction                             : Input
**              Pull enable                                : Enabled
**              Polarity select                            : Pulldown
**              Interrupt enable                           : No initialization
**              Wired-Or mode                              : No initialization
**          Interrupts                                     : 
**            Interrupt                                    : Vportp
**            Interrupt priority                           : 1
**            ISR name                                     : 
**          Initialization                                 : 
**            Call Init method                             : yes
**     Contents    :
**         Init - void P_Init(void);
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file P.c
** @version 01.00
** @brief
**          This file implements the GPIO (P) module initialization
**          according to the Peripheral Initialization settings, and
**          defines interrupt service routines prototypes.
*/         
/*!
**  @addtogroup P_module P module documentation
**  @{
*/         

/* MODULE P. */

#include "P.h"
  /* Including shared modules, which are used in the whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "Cpu.h"

#pragma DATA_SEG P_DATA                /* Select data segment "P_DATA" */
#pragma CODE_SEG P_CODE
#pragma CONST_SEG P_CONST              /* Constant section for this module */
/*
** ===================================================================
**     Method      :  P_Init (component Init_GPIO)
**     Description :
**         This method initializes registers of the GPIO module
**         according to the Peripheral Initialization settings.
**         Call this method in user code to initialize the module. By
**         default, the method is called by PE automatically; see "Call
**         Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void P_Init(void)
{
  /* PIEP: PIEP7=0,PIEP6=0,PIEP5=0,PIEP4=0,PIEP3=0,PIEP2=0,PIEP1=0,PIEP0=0 */
  setReg8(PIEP, 0x00U);                 
  /* OCIEP: OCIEP7=0,OCIEP5=0,OCIEP3=0,OCIEP1=0 */
  clrReg8Bits(OCIEP, 0xAAU);            
  /* PIFP: PIFP7=1,PIFP6=1,PIFP5=1,PIFP4=1,PIFP3=1,PIFP2=1,PIFP1=1,PIFP0=1 */
  setReg8(PIFP, 0xFFU);                 
  /* OCIFP: OCIFP7=1,OCIFP5=1,OCIFP3=1,OCIFP1=1 */
  setReg8Bits(OCIFP, 0xAAU);            
  /* PTP: PTP3=1,PTP1=1 */
  setReg8Bits(PTP, 0x0AU);              
  /* PPSP: PPSP7=1,PPSP4=1 */
  setReg8Bits(PPSP, 0x90U);             
  /* PERP: PERP7=1,PERP4=1 */
  setReg8Bits(PERP, 0x90U);             
  /* DDRP: DDRP7=0,DDRP4=0,DDRP3=1,DDRP1=1 */
  clrSetReg8Bits(DDRP, 0x90U, 0x0AU);   
}


/* END P. */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale HCS12Z series of microcontrollers.
**
** ###################################################################
*/
