/* ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : PWM5.h
**     Project     : DEVKIT-S12ZVL_Lab2ADC
**     Processor   : MC9S12ZVL32MLF
**     Component   : Init_PWM
**     Version     : Component 01.167, Driver 01.14, CPU db: 3.00.000
**     Compiler    : CodeWarrior HCS12Z C Compiler
**     Date/Time   : 2016-05-09, 10:27, # CodeGen: 2
**     Abstract    :
**          This file implements the PWM (from channel PWM0 to channel PWMx,
**          the actual count of PWM channels depends on the HCS12 derivative)
**          module initialization according to the Peripheral Initialization
**          settings, and defines interrupt service routines prototypes.
**          The Pulse Width Modulation (PWM) definition is based on the HC12
**          PWMdefinitions.Each of the six PWM channels has a programmable
**          period and duty cycle as well as a dedicated counter.A flexible
**          clock select scheme allows a total of four different clock sources
**          to be used with the counters. Each of the modulators can create
**          independent continuous waveforms with software-selectable duty
**          rates from 0% to 100%. The PWM outputs can be programmed as
**          left aligned outputs or center aligned outputs.
**     Settings    :
**          Component name                                 : PWM5
**          Device                                         : PWM
**          Settings                                       : 
**            Clock settings                               : 
**              Prescaler A select                         : 1
**              Clock A frequency                          : 6250 kHz
**              Prescaler B select                         : 1
**              Clock B frequency                          : 6250 kHz
**              Scale value of clock SA                    : 0
**              Clock SA frequency                         : 12.21 kHz
**              Scale value of clock SB                    : 0
**              Clock SB frequency                         : 12.21 kHz
**            Concatenate Channels 0 and 1                 : no
**            Concatenate Channels 2 and 3                 : no
**            Concatenate Channels 4 and 5                 : no
**            Concatenate Channels 6 and 7                 : no
**            Stop in wait mode                            : no
**            Stop in freeze mode                          : no
**          Channels                                       : 3
**            Channel0                                     : 
**              Counter                                    : PWM1
**              PWM enabled                                : Enabled
**              Polarity                                   : Low to high
**              Clock Select                               : Clock A
**              Output Mode                                : Left Aligned
**              Channel Period                             : 00FF
**              Period time                                : 40.8 us
**              Channel Duty                               : 0
**              Duty time                                  : 100%
**              Pin allocation                             : Enabled
**                Pin                                      : PP1_KWP1_PWM1_IOC1_1
**                Pin signal                               : 
**                Pull resistor                            : no initialization
**                Pin open drain                           : push-pull
**            Channel1                                     : 
**              Counter                                    : PWM3
**              PWM enabled                                : Enabled
**              Polarity                                   : Low to high
**              Clock Select                               : Clock A
**              Output Mode                                : Left Aligned
**              Channel Period                             : 00FF
**              Period time                                : 40.8 us
**              Channel Duty                               : 0
**              Duty time                                  : 100%
**              Pin allocation                             : Enabled
**                Pin                                      : PP3_IRQ_KWP3_PWM3
**                Pin signal                               : 
**                Pull resistor                            : no initialization
**                Pin open drain                           : push-pull
**            Channel2                                     : 
**              Counter                                    : PWM5
**              PWM enabled                                : Enabled
**              Polarity                                   : Low to high
**              Clock Select                               : Clock A
**              Output Mode                                : Left Aligned
**              Channel Period                             : 00FF
**              Period time                                : 40.8 us
**              Channel Duty                               : 0
**              Duty time                                  : 100%
**              Pin allocation                             : Enabled
**                Pin                                      : PP5_XIRQ_KWP5_PWM5
**                Pin signal                               : 
**                Pull resistor                            : no initialization
**                Pin open drain                           : push-pull
**          Initialization                                 : 
**            Call Init method                             : yes
**     Contents    :
**         Init - void PWM5_Init(void);
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file PWM5.h
** @version 01.14
** @brief
**          This file implements the PWM (from channel PWM0 to channel PWMx,
**          the actual count of PWM channels depends on the HCS12 derivative)
**          module initialization according to the Peripheral Initialization
**          settings, and defines interrupt service routines prototypes.
**          The Pulse Width Modulation (PWM) definition is based on the HC12
**          PWMdefinitions.Each of the six PWM channels has a programmable
**          period and duty cycle as well as a dedicated counter.A flexible
**          clock select scheme allows a total of four different clock sources
**          to be used with the counters. Each of the modulators can create
**          independent continuous waveforms with software-selectable duty
**          rates from 0% to 100%. The PWM outputs can be programmed as
**          left aligned outputs or center aligned outputs.
*/         
/*!
**  @addtogroup PWM5_module PWM5 module documentation
**  @{
*/         

#ifndef __PWM5
#define __PWM5

/* MODULE PWM5. */

/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited components */

#include "Cpu.h"




void PWM5_Init(void);
/*
** ===================================================================
**     Method      :  PWM5_Init (component Init_PWM)
**     Description :
**         This method initializes registers of the PWM module
**         according to this Peripheral Initialization settings. Call
**         this method in user code to initialize the module. By
**         default, the method is called by PE automatically; see "Call
**         Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/


/* END PWM5. */

#endif /* ifndef __PWM5 */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale HCS12Z series of microcontrollers.
**
** ###################################################################
*/

