/* ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : SCI0.h
**     Project     : DEVKIT_S12ZVL_Lab4SCI
**     Processor   : MC9S12ZVL32MLF
**     Component   : Init_SCI
**     Version     : Component 01.108, Driver 01.09, CPU db: 3.00.000
**     Compiler    : CodeWarrior HCS12Z C Compiler
**     Date/Time   : 2016-05-09, 15:21, # CodeGen: 1
**     Abstract    :
**          This file implements the SCI (SCI0) module initialization
**          according to the Peripheral Initialization Component settings,
**          and defines interrupt service routines prototypes.
**          The SCI includes these distinctive features:
**           Full-duplex operation
**           Standard mark/space non-return-to-zero (NRZ) format
**           Selectable IrDA 1.4 return-to-zero-inverted (RZI) format
**          with programmable pulse widths
**           13-bit baud rate selection
**           Programmable 8-bit or 9-bit data format
**           Separately enabled transmitter and receiver
**           Programmable transmitter output parity
**           Two receiver wakeup methods:
**           Idle line wakeup
**           Address mark wakeup
**           Interrupt-driven operation with eight flags:
**           Transmitter empty
**           Transmission complete
**           Receiver full
**           Idle receiver input
**           Receiver overrun
**           Noise error
**           Framing error
**           Parity error
**           Receiver framing error detection
**           Hardware parity checking
**           1/16 bit-time noise detection
**     Settings    :
**          Component name                                 : SCI0
**          Device                                         : SCI0
**          Settings                                       : 
**            Clock settings                               : 
**              Baud rate divisor                          : 64
**              Baud rate                                  : 97656.25 Bd
**            Loop mode                                    : Disabled
**            Break character length                       : 10 or 11 bits
**            Receiver wake up mode                        : normal operation
**            Wake up                                      : by idle line
**            Idle Line counting                           : After start bit
**            Stop in Wait mode                            : no
**            Parity                                       : odd
**            Data format                                  : 8 bits
**            Infrared module                              : Disabled
**            Transmitter Narrow Pulse                     : 3/16
**            Transmit polarity                            : Normal
**            Receive polarity                             : Normal
**            Break detect                                 : Disabled
**            Bit error mode                               : Disabled
**          Pins                                           : 
**            RxD pin                                      : Enabled
**              RxD pin                                    : PS0_KWS0_MISO0_PWM4_RXD0_IOC0_2
**              RxD pin signal                             : 
**              RxD pull resistor                          : no initialization
**            TxD pin                                      : Enabled
**              TxD pin                                    : PS1_KWS1_MOSI0_PWM6_TXD0_LPDC0_IOC0_3
**              TxD pin signal                             : 
**              TxD pull resistor                          : no initialization
**              TxD pin open drain                         : push-pull
**          Interrupts                                     : 
**            SCI interrupt                                : 
**              Interrupt                                  : Vsci0
**              Receiver full interrupt                    : Disabled
**              Transmitter empty interrupt                : Disabled
**              Transmission complete interrupt            : Disabled
**              Idle Line interrupt                        : Disabled
**              Input active edge interrurpt               : Disabled
**              Bit error interrupt                        : Disabled
**              Break detect interrupt                     : Disabled
**              Interrupt priority                         : 1
**              ISR name                                   : 
**          Initialization                                 : 
**            Call Init method                             : yes
**            Transmitter                                  : Enabled
**            Receiver                                     : Enabled
**     Contents    :
**         Init - void SCI0_Init(void);
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file SCI0.h
** @version 01.09
** @brief
**          This file implements the SCI (SCI0) module initialization
**          according to the Peripheral Initialization Component settings,
**          and defines interrupt service routines prototypes.
**          The SCI includes these distinctive features:
**           Full-duplex operation
**           Standard mark/space non-return-to-zero (NRZ) format
**           Selectable IrDA 1.4 return-to-zero-inverted (RZI) format
**          with programmable pulse widths
**           13-bit baud rate selection
**           Programmable 8-bit or 9-bit data format
**           Separately enabled transmitter and receiver
**           Programmable transmitter output parity
**           Two receiver wakeup methods:
**           Idle line wakeup
**           Address mark wakeup
**           Interrupt-driven operation with eight flags:
**           Transmitter empty
**           Transmission complete
**           Receiver full
**           Idle receiver input
**           Receiver overrun
**           Noise error
**           Framing error
**           Parity error
**           Receiver framing error detection
**           Hardware parity checking
**           1/16 bit-time noise detection
*/         
/*!
**  @addtogroup SCI0_module SCI0 module documentation
**  @{
*/         

#ifndef __SCI0
#define __SCI0

/* MODULE SCI0. */

/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited components */

#include "Cpu.h"


void SCI0_Init(void);
/*
** ===================================================================
**     Method      :  SCI0_Init (component Init_SCI)
**     Description :
**         This method initializes registers of the SCI module
**         according to this Peripheral Initialization Component settings.
**         Call this method in user code to initialize the module.
**         By default, the method is called by PE automatically; see
**         "Call Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/


/* END SCI0. */

#endif /* ifndef __SCI0 */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale HCS12Z series of microcontrollers.
**
** ###################################################################
*/
